Bug 17636 - Remove itemtype-related GetIssues.t warnings
Summary: Remove itemtype-related GetIssues.t warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-15 20:40 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17636: Remove itemtype-related GetIssues.t warnings (4.84 KB, patch)
2016-11-15 20:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17636: Remove itemtype-related GetIssues.t warnings (4.94 KB, patch)
2016-11-16 15:44 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17636: Remove itemtype-related GetIssues.t warnings (5.00 KB, patch)
2016-11-17 14:05 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-15 20:40:05 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-15 20:55:08 UTC
Created attachment 57515 [details] [review]
Bug 17636: Remove itemtype-related GetIssues.t warnings

This patch makes t/db_dependent/Circulation/GetIssues.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/GetIssues.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/GetIssues.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Héctor Eduardo Castro Avalos 2016-11-16 15:44:45 UTC
Created attachment 57554 [details] [review]
[SIGNED-OFF]Bug 17636: Remove itemtype-related GetIssues.t warnings

This patch makes t/db_dependent/Circulation/GetIssues.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/GetIssues.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/GetIssues.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
All test pass successfuly
Comment 3 Martin Renvoize 2016-11-17 14:05:32 UTC
Created attachment 57599 [details] [review]
[PASSED QA] Bug 17636: Remove itemtype-related GetIssues.t warnings

This patch makes t/db_dependent/Circulation/GetIssues.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/GetIssues.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/GetIssues.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
All test pass successfuly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Kyle M Hall 2016-11-17 16:24:10 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-12-14 11:20:10 UTC
Pushed to 16.05.x, for 16.05.06 release